## sqlite3 3.7.7

=== debian/changelog ===
sqlite3 (3.7.7-2ubuntu2) oneiric; urgency=low

  * Make sure to build lemon when cross-compiling.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Sep 2011 00:09:20 +0100

sqlite3 (3.7.7-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #814099) Remaining changes:
    - Build for multiarch.

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 21 Jul 2011 15:46:41 +0200

sqlite3 (3.7.7-2) unstable; urgency=low

  * Get LIKE function fix from upstream as 31-like-fix.patch (closes: #631736).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 27 Jun 2011 16:31:41 +0200

sqlite3 (3.7.7-1) unstable; urgency=low

  * New upstream release, update patches and libsqlite3-0.symbols accordingly.
  * Update packaging for more policy conformance.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 25 Jun 2011 17:55:22 +0200

sqlite3 (3.7.6.3-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Jun 2011 04:28:43 +0000

sqlite3 (3.7.6.3-1) unstable; urgency=low

  * New upstream release, update patches.
  * Correctly use binary-arch and binary-indep targets, thanks to Daniel
    Baumann (closes: #624705).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 21 May 2011 11:31:14 +0200

sqlite3 (3.7.6.2-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build for multiarch.
  * Dropped changes, merged in Debian:
    - debian/rules: don't use DEB_OPT_FLAG
    - build both build host & target lemon compilers when cross building

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2011 15:12:39 +0000

sqlite3 (3.7.6.2-1) unstable; urgency=low

  * New upstream release.
  * Fix cross-compilation support. Make lemon built for build and target
    hosts when cross-building, thanks to Steve Langasek (closes: #611949).
  * Fix Tcl module path, thanks to Torsten Landschoff (closes: #617443).
  * Disable lookaside allocator for now (closes: #615061).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 15 Apr 2011 09:12:49 +0200
