## sqlite3 3.7.9

=== debian/changelog ===
sqlite3 (3.7.9-2ubuntu1.1) precise-proposed; urgency=low

  * debian/patches/upstream_incorrect_sql.patch:
    - upstream patch for "Incorrect result from LEFT JOIN with OR in 
      the WHERE clause status still"
      (lp: #1021044)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Aug 2012 18:06:53 +0200

sqlite3 (3.7.9-2ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build for multiarch.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Nov 2011 15:31:48 +0000

sqlite3 (3.7.9-2) unstable; urgency=low

  * Export CFLAGS as dpkg-buildpackage no longer does it (closes: #647842).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 07 Nov 2011 19:12:18 +0100

sqlite3 (3.7.9-1ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build for multiarch.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Nov 2011 12:39:27 +0000

sqlite3 (3.7.9-1) unstable; urgency=low

  * New upstream release, refresh patches.
  * Update symbols file (closes: #642584).
  * Update manpage (closes: #642807).

  [ Colin Watson <cjwatson@ubuntu.com> ]
  * Make sure to build lemon when cross-compiling (closes: #643285).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 05 Nov 2011 12:36:16 +0000

sqlite3 (3.7.8-1) unstable; urgency=low

  * New upstream release, remove 31-like-fix.patch as it contains that fix.
  * Force sqlite3 to depend on the same libsqlite3-0 binary version
    (closes: #640205).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 21 Sep 2011 19:38:54 +0200
