=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Package: sqlite3
 Section: database
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsqlite3-0 (= ${binary:Version})
 Suggests: sqlite3-doc
 Multi-Arch: foreign
 Description: Command line interface for SQLite 3
