=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,8 @@
 endif
 
 
-CFLAGS += -O2 -fno-strict-aliasing \
+#export DEB_CFLAGS_MAINT_APPEND = -O2 -fno-strict-aliasing
+export CFLAGS += -O2 -fno-strict-aliasing \
 	-DSQLITE_SECURE_DELETE -DSQLITE_ENABLE_COLUMN_METADATA \
 	-DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_RTREE=1 -DSQLITE_SOUNDEX=1 \
 	-DSQLITE_ENABLE_UNLOCK_NOTIFY \
@@ -64,6 +65,7 @@
 	rm -f configure-stamp build-stamp
 	rm -f config.log config.h pkgIndex.tcl configure
 	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -f config.h
 	dh_clean
 
 install: build
