## sqlite3 3.7.13

=== debian/changelog ===
sqlite3 (3.7.13-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Mike Hommey <glandium@debian.org>  Fri, 20 Jul 2012 15:29:59 +0000

sqlite3 (3.7.13-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 13 Jun 2012 21:43:48 +0200

sqlite3 (3.7.12.1-1) unstable; urgency=low

  * New upstream release (closes: #674078).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 23 May 2012 00:22:02 +0200

sqlite3 (3.7.12-1) unstable; urgency=low

  * New upstream release, adjust patches to apply clean.
  * Increase MAX_DEFAULT_PAGE_SIZE and SQLITE_MAX_SCHEMA_RETRY for Firefox and
    Iceweasel (closes: #672573).
  * Remove double -ldl entry from Libs.private in sqlite3.pc
    (closes: #653170).
  * Drop hardening-wrapper build dependency (closes: #672575), adjust
    debian/rules to still build with hardening enabled.

  [ Mike Hommey ]
  * Make the package backportable without changes other than a changelog
    entry (closes: #672663).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 15 May 2012 09:17:23 +0000

sqlite3 (3.7.11-3) unstable; urgency=low

  * Disable the usage of malloc_usable_size() (closes: #663691, #665363),
    thanks to Steven Chamberlain <steven@pyro.eu.org> for the patch.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 30 Apr 2012 10:56:57 +0200

sqlite3 (3.7.11-2) unstable; urgency=low

  * Fix pkgIndex.tcl generation for multi-arch.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 22 Mar 2012 02:06:39 +0100

sqlite3 (3.7.11-1) unstable; urgency=low

  * New upstream release.
  * Update packaging bits.
  * Make the package multi-arch and enable hardening compilation.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Wed, 21 Mar 2012 10:38:59 +0000

sqlite3 (3.7.10-1) unstable; urgency=low

  * New upstream release (closes: #659443).
  * Fix pkgIndex.tcl problem, thanks to Mike Hommey <mh@glandium.org>
    (closes: #654662).
  * Update patches and symbols file to match this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 20 Jan 2012 14:39:11 +0000

sqlite3 (3.7.9-3) unstable; urgency=low

  * Correct flock locking on Hurd (closes: #653937), thanks to Pino Toscano
    <pino@debian.org> .
  * Add self test if pkgIndex.tcl is correctly generated (closes: #650961).
  * Enable LIMIT support for UPDATE and DELETE commands (closes: #649169).
  * Update packaging bits.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 03 Jan 2012 19:00:51 +0100
