=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: debhelper (>= 8.1.3), autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev, chrpath, libreadline-dev, tcl8.5-dev
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 8.1.3), autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev, chrpath, libreadline-dev, tcl8.5-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev
-Standards-Version: 3.9.2
+Homepage: http://www.sqlite.org/
+Standards-Version: 3.9.3
 
 Package: lemon
 Architecture: any
@@ -50,7 +50,7 @@
 Architecture: any
 Priority: extra
 Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
+Multi-Arch: foreign
 Description: SQLite 3 debugging symbols
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database
