## sqlite3 3.7.15.2

=== debian/changelog ===
sqlite3 (3.7.15.2-1ubuntu1) raring; urgency=low

  * Configure for the Tcl 8.5 multiarch installation.
  * Fix the cross-build locations.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Apr 2013 09:24:42 +0200

sqlite3 (3.7.15.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 15 Jan 2013 18:36:34 +0100

sqlite3 (3.7.15.1-1) unstable; urgency=low

  * New upstream release, update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 25 Dec 2012 14:03:18 +0100

sqlite3 (3.7.15-1) unstable; urgency=low

  * New upstream release, update patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 14 Dec 2012 20:42:02 +0100

sqlite3 (3.7.14.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 06 Oct 2012 16:19:41 +0200

sqlite3 (3.7.14-1) unstable; urgency=low

  * New upstream release, update patches to match it.
  * Update watch file to match website change.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 13 Sep 2012 09:30:13 +0000
