=== debian/watch ===
version=3
opts="uversionmangle=s/\.0/\./g;s/\.0+$//" \
http://www.sqlite.org/download.html .*sqlite-src-(\d)(\d\d)(\d\d)(\d\d).zip
