## sqlite3 3.8.2

=== debian/changelog ===
sqlite3 (3.8.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 08 Dec 2013 10:48:05 +0100

sqlite3 (3.8.1-2) unstable; urgency=low

  * Backport upstream checkin 9aac4e588c to fix transitive WHERE-clause
    constraints on LEFT JOINs (closes: #730174).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Dec 2013 13:06:04 +0100

sqlite3 (3.8.1-1) unstable; urgency=low

  * New upstream release.
  * Update 10-520478-squash-bad-deps.patch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 24 Oct 2013 21:47:57 +0200

sqlite3 (3.8.0.2-1) unstable; urgency=low

  * New upstream release.
  * Build with hardening enabled.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Sep 2013 08:04:44 +0200

sqlite3 (3.8.0.1-1) unstable; urgency=low

  * New upstream release.
  * Update patches to apply clean.
  * Increase SQLITE_MAX_VARIABLE_NUMBER compile time variable to 250000
    (closes: #717900).

  [ Colin Watson <cjwatson@ubuntu.com> ]
  * Use dh_autotools-dev, bringing config.guess and config.sub up to date
    enough to handle arm64 (closes: #712037).

  [ Eleanor Chen <chenyueg@gmail.com> ]
  * Don't generate pkgIndex.tcl on cross builds (closes: #720713).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 30 Aug 2013 01:35:59 +0200

sqlite3 (3.7.17-1) unstable; urgency=medium

  * New upstream release. Urgency due to fix a potential database corruption.
  * Update patches to apply clean.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 May 2013 21:56:39 +0200

sqlite3 (3.7.16.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 19 Apr 2013 21:40:10 +0200

sqlite3 (3.7.16.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 29 Mar 2013 19:40:04 +0100

sqlite3 (3.7.16-1) unstable; urgency=low

  * New upstream release, fixes umask handling (closes: #703465).
  * Update Standards-Version to 3.9.4 .
  * Make libsqlite3-dev package multi-arch: same (closes: #683588).
  * Include HTML documentation for lemon (closes: #698636).
  * Update patches to apply clean.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 19 Mar 2013 23:33:43 +0100
