=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 8.1.3), autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev, chrpath, libreadline-dev, tcl8.5-dev
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autoconf (>= 2.59), libtool (>= 1.5.2), automake, autotools-dev, chrpath, libreadline-dev, tcl8.5-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev
 Homepage: http://www.sqlite.org/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 
 Package: lemon
 Architecture: any
@@ -75,6 +75,7 @@
 Section: libdevel
 Architecture: any
 Depends: libsqlite3-0 (= ${binary:Version}), ${misc:Depends}, libc6-dev
+Multi-Arch: same
 Description: SQLite 3 development files
  SQLite is a C library that implements an SQL database engine. 
  Programs that link with the SQLite library can have SQL database
