## sqlite3 3.8.7

=== debian/changelog ===
sqlite3 (3.8.7-1) unstable; urgency=medium

  * New upstream release.
  * Register with doc-base (closes: #691596).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 17 Oct 2014 15:09:56 +0000

sqlite3 (3.8.6-1) unstable; urgency=low

  * New upstream release.
  * Update 20-hurd-locking-style.patch to match this release.
  * Merge with Ubuntu.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Fix i386 cross builds.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Aug 2014 07:37:16 +0000

sqlite3 (3.8.5-2) unstable; urgency=low

  * Fix FTBFS on x86 architectures (closes: #751878).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Jun 2014 19:37:58 +0000

sqlite3 (3.8.5-1) unstable; urgency=low

  * New upstream release, adjust patches.
  * Correct multi-arch paths (closes: #738507).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 15 Jun 2014 09:20:53 +0000

sqlite3 (3.8.4.3-3) unstable; urgency=medium

  * Add upstream fix of Nautilus crash as 40-sqlite-bug1075889.patch
    (closes: #746521).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 May 2014 19:26:01 +0200

sqlite3 (3.8.4.3-2) unstable; urgency=low

  * Make lemon look for the packaged lempar.c and make it working again
    (closes: #576272).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Apr 2014 19:36:37 +0200

sqlite3 (3.8.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 10 Apr 2014 22:26:12 +0200

sqlite3 (3.8.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 22 Mar 2014 14:47:04 +0100

sqlite3 (3.8.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 12 Feb 2014 18:35:01 +0100

sqlite3 (3.8.3-1) unstable; urgency=low

  * New upstream release.
  * Disable 02-lemon-snprintf.patch , upstream completely reworked sprintf
    variants.
  * Remove 11-update-manpage.patch , upstream merged it.
  * Update Standards-Version to 3.9.5 .
  * Sync with Ubuntu.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Build for Tcl 8.6.
  * Build using dh-autoreconf and autotools-dev.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Feb 2014 20:27:38 +0100
