## sqlite3 3.11.0

=== debian/changelog ===
sqlite3 (3.11.0-1ubuntu1) xenial; urgency=medium

  * debian/rules: compile SQLite with SQLITE_ENABLE_FTS3_TOKENIZER to re-enable
    the two-argument version of fts3_tokenizer() used by mediascanner2
    (LP: #1546911)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 19 Feb 2016 13:12:22 +0100

sqlite3 (3.11.0-1) unstable; urgency=low

  * New upstream release.
  * Compile with thread-safe option.
  * Update squash-bad-deps patch.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 17 Feb 2016 23:08:31 +0100

sqlite3 (3.10.2-1) unstable; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 21 Jan 2016 01:21:10 +0100

sqlite3 (3.10.1-1) unstable; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 14 Jan 2016 21:20:48 +0100

sqlite3 (3.10.0-1) unstable; urgency=low

  * New upstream release.
  * Update patch for cross compilation.
  * Use SQLITE_LIKE_DOESNT_MATCH_BLOBS compile-time option.
  * Add two new symbols to library.
  * Build and install sqldiff (closes: #806575).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 06 Jan 2016 21:15:46 +0100

sqlite3 (3.9.2-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Nov 2015 19:54:52 +0100

sqlite3 (3.9.1-2) unstable; urgency=low

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Update 30-cross.patch to cover all lemon invocations
    (closes: #802742).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 23 Oct 2015 07:45:27 +0200

sqlite3 (3.9.1-1) unstable; urgency=low

  * New upstream release.
  * Update 10-520478-squash-bad-deps patch.
  * Enable FTS3 enhanced query syntax (closes: #759272).
  * Update libsqlite3-0 symbols.
  * No longer have problems with doc-base files (closes: #784100).
  * Enable JSON1 loadable extension.

  [ Yuriy M. Kaminskiy <yumkam@gmail.com> ]
  * Build with --as-needed linker option (closes: #792515).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 19 Oct 2015 18:35:02 +0200

sqlite3 (3.8.11.1-1) unstable; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 31 Jul 2015 15:21:25 +0000

sqlite3 (3.8.11-1) unstable; urgency=low

  * New upstream release.
  * Update 10-520478-squash-bad-deps.patch .
  * Update libsqlite3-0 symbols.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 27 Jul 2015 16:17:40 +0000

sqlite3 (3.8.10.2-1) unstable; urgency=medium

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 May 2015 18:54:06 +0000

sqlite3 (3.8.10.1-1) unstable; urgency=low

  * New upstream, bugfix release.
  * Enable the dbstat virtual table.
  * Update libsqlite3-0 symbols.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 12 May 2015 21:09:53 +0000

sqlite3 (3.8.10-1) unstable; urgency=medium

  * New upstream release, fixes many obscure problems discovered while SQL
    fuzzing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 07 May 2015 18:14:44 +0000

sqlite3 (3.8.9-2) unstable; urgency=medium

  [ Pino Toscano <pino@debian.org> ]
  * Update 20-hurd-locking-style.patch for a new code path.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 May 2015 09:54:49 +0000

sqlite3 (3.8.9-1) unstable; urgency=high

  * New upstream release.
  * Fixes CVE-2015-3414 , CVE-2015-3415 and CVE-2015-3416 (closes: #783968).
  * Rework 20-hurd-locking-style.patch due to upstream changes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Apr 2015 15:28:23 +0000

sqlite3 (3.8.8.3-1) experimental; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 07 Mar 2015 11:26:13 +0000

sqlite3 (3.8.8.2-1) experimental; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 31 Jan 2015 13:27:35 +0000

sqlite3 (3.8.8.1-1) experimental; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 25 Jan 2015 15:30:11 +0000

sqlite3 (3.8.8-1) experimental; urgency=low

  * New upstream release with several improvements.
  * Upload to experimental due to Jessie freeze.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jan 2015 17:41:41 +0000
