## sqlite3 3.13.0

=== debian/changelog ===
sqlite3 (3.13.0-1) unstable; urgency=low

  * New upstream release.
  * Enable session extension with its preupdate hook; update library symbols
    accordingly.
  * Update 30-cross.patch to this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 19 May 2016 14:58:03 +0000

sqlite3 (3.12.2-1) unstable; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Apr 2016 11:06:29 +0000

sqlite3 (3.12.1-1) unstable; urgency=low

  * New upstream, bugfix release:
    - fix segfault following heavy SAVEPOINT usage (closes: #820225),
    - fix segfault on 'unique primary key' and 'without rowid'
      (closes: #736463).
  * Don't force ldconfig in postinst (closes: #820499).
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 09 Apr 2016 16:02:33 +0000

sqlite3 (3.12.0-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 01 Apr 2016 15:08:53 +0000

sqlite3 (3.11.1-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 04 Mar 2016 18:04:44 +0100

sqlite3 (3.11.0-3) unstable; urgency=low

  * Enable FTS5 extension (closes: #816463) and update library symbols
    accordingly.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 02 Mar 2016 17:16:56 +0100

sqlite3 (3.11.0-2) unstable; urgency=low

  * Compile with SQLITE_ENABLE_FTS3_TOKENIZER for backwards compatibility
    (closes: #815499).
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 23 Feb 2016 21:31:39 +0100
