## sqlite3 3.16.2

=== debian/changelog ===
sqlite3 (3.16.2-5+deb9u1) stretch; urgency=medium

  * Fix CVE-2017-10989 , heap-based buffer over-read via undersized RTree 
    blobs (closes: #867618).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Oct 2017 16:13:44 +0000

sqlite3 (3.16.2-5) unstable; urgency=medium

  * Backport fix for corruption due to REPLACE in an auto-vacuumed database.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 08 Jun 2017 22:07:42 +0000

sqlite3 (3.16.2-4) unstable; urgency=high

  * Backport fix for a possible NULL pointer dereference in the OP_Found
    opcode that can follow an OOM error.
  * Backport fix for stack overflow while parsing deeply nested JSON.
  * Backport fix for JSON allows unescaped control characters in strings.
  * Backport fix for JSON extension accepts invalid numeric values.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Jun 2017 07:58:54 +0000

sqlite3 (3.16.2-3) unstable; urgency=medium

  * Backport upstream fix to ensure that sqlite3_blob_reopen() correctly
    handles short rows.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 13 Feb 2017 17:31:26 +0000

sqlite3 (3.16.2-2) unstable; urgency=medium

  * Backport upstream fix of variable initialization in the CLI tool.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Jan 2017 17:21:15 +0000

sqlite3 (3.16.2-1) unstable; urgency=medium

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 06 Jan 2017 17:51:34 +0000

sqlite3 (3.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Jan 2017 17:48:22 +0000

sqlite3 (3.15.2-2) unstable; urgency=medium

  * Backport upstream fix for in-memory database slowness.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Dec 2016 16:53:53 +0000

sqlite3 (3.15.2-1) unstable; urgency=medium

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 Nov 2016 17:09:20 +0000

sqlite3 (3.15.1-1) unstable; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Nov 2016 16:58:47 +0000

sqlite3 (3.15.0-1) unstable; urgency=low

  * New upstream release (closes: #841027).
  * Explicitly enable FTS4 tokenizer (closes: #747293).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 18 Oct 2016 16:30:24 +0000

sqlite3 (3.14.2-1) unstable; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 14 Sep 2016 17:33:32 +0000

sqlite3 (3.14.1-1) unstable; urgency=low

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 14 Aug 2016 08:55:35 +0000

sqlite3 (3.14.0-1) unstable; urgency=low

  * New upstream, "π" release.
  * Keep rebuildable.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 09 Aug 2016 23:20:52 +0000
