## sqlite3 3.19.3

=== debian/changelog ===
sqlite3 (3.19.3-3) unstable; urgency=high

  * Backport fix for CVE-2017-10989, heap-based buffer over-read via
    undersized RTree blobs (closes: #867618).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 07 Jul 2017 20:59:53 +0000

sqlite3 (3.19.3-2) unstable; urgency=medium

  * Update Standards-Version to 4.0.0 and debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Jul 2017 17:04:08 +0000

sqlite3 (3.19.3-1) experimental; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 08 Jun 2017 21:49:24 +0000

sqlite3 (3.19.2-2) experimental; urgency=medium

  * Backport configure fix for FTS4 and FTS5 builds (closes: #864185).
  * Add required sqlite3_fts5_may_be_corrupt@Base symbol to the libsqlite3-0
    package.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 05 Jun 2017 05:25:49 +0000

sqlite3 (3.19.2-1) experimental; urgency=medium

  * New upstream, bugfix release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 May 2017 18:59:15 +0000

sqlite3 (3.19.0-1) experimental; urgency=low

  * New upstream release.
  * Update library symbols file:
    - remove no longer available sqlite3_fts5_may_be_corrupt@Base symbol,
    - add new sqlite3_set_last_insert_rowid@Base symbol.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 23 May 2017 16:44:47 +0000

sqlite3 (3.17.0-1) experimental; urgency=medium

  * New upstream release (closes: #858569).
  * Remove backported patches.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Mar 2017 10:47:04 +0000
